Bug 1198861 - [abrt] gnome-shell: gray_record_cell.part(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: gray_record_cell.part(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7f1bf3aad7c44387f7b337970ee...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-05 00:10 UTC by Ilya Gradina
Modified: 2016-12-20 13:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 13:19:52 UTC


Attachments (Terms of Use)
File: backtrace (51.92 KB, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details
File: core_backtrace (65.98 KB, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details
File: dso_list (24.57 KB, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details
File: environ (1.60 KB, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details
File: maps (107.75 KB, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details
File: mountinfo (3.60 KB, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details
File: namespaces (85 bytes, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details
File: open_fds (3.53 KB, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details
File: proc_pid_status (966 bytes, text/plain)
2015-03-05 00:10 UTC, Ilya Gradina
no flags Details

Description Ilya Gradina 2015-03-05 00:10:12 UTC
Version-Release number of selected component:
gnome-shell-3.15.90-1.fc23

Additional info:
reporter:       libreport-2.4.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gray_record_cell.part
executable:     /usr/bin/gnome-shell
global_pid:     2009
kernel:         4.0.0-0.rc2.git0.1.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Thu 2015-03-05 02:38:12 MSK, end at Thu 2015-03-05 03:09:04 MSK. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gray_record_cell.part at /lib64/libfreetype.so.6
 #1 gray_set_cell at /lib64/libfreetype.so.6
 #2 gray_render_line at /lib64/libfreetype.so.6
 #3 gray_conic_to at /lib64/libfreetype.so.6
 #4 FT_Outline_Decompose at /lib64/libfreetype.so.6
 #5 gray_convert_glyph_inner at /lib64/libfreetype.so.6
 #6 gray_convert_glyph at /lib64/libfreetype.so.6
 #7 ft_smooth_render_generic at /lib64/libfreetype.so.6
 #8 FT_Render_Glyph_Internal at /lib64/libfreetype.so.6
 #9 _cairo_ft_scaled_glyph_init at /lib64/libcairo.so.2

Comment 1 Ilya Gradina 2015-03-05 00:10:16 UTC
Created attachment 998111 [details]
File: backtrace

Comment 2 Ilya Gradina 2015-03-05 00:10:19 UTC
Created attachment 998112 [details]
File: cgroup

Comment 3 Ilya Gradina 2015-03-05 00:10:22 UTC
Created attachment 998113 [details]
File: core_backtrace

Comment 4 Ilya Gradina 2015-03-05 00:10:24 UTC
Created attachment 998114 [details]
File: dso_list

Comment 5 Ilya Gradina 2015-03-05 00:10:26 UTC
Created attachment 998115 [details]
File: environ

Comment 6 Ilya Gradina 2015-03-05 00:10:27 UTC
Created attachment 998116 [details]
File: limits

Comment 7 Ilya Gradina 2015-03-05 00:10:30 UTC
Created attachment 998117 [details]
File: maps

Comment 8 Ilya Gradina 2015-03-05 00:10:32 UTC
Created attachment 998118 [details]
File: mountinfo

Comment 9 Ilya Gradina 2015-03-05 00:10:33 UTC
Created attachment 998119 [details]
File: namespaces

Comment 10 Ilya Gradina 2015-03-05 00:10:35 UTC
Created attachment 998120 [details]
File: open_fds

Comment 11 Ilya Gradina 2015-03-05 00:10:36 UTC
Created attachment 998121 [details]
File: proc_pid_status

Comment 12 Matthias Clasen 2015-03-09 18:12:24 UTC
Looks like either a freetype issue or memory corruption.

Comment 13 Behdad Esfahbod 2015-03-09 18:14:47 UTC
Any idea what freetype version exactly?  I don't expect the latest to crash like this, but the older versions do.

Comment 14 Marek Kašík 2015-03-10 07:33:34 UTC
(In reply to Behdad Esfahbod from comment #13)
> Any idea what freetype version exactly?  I don't expect the latest to crash
> like this, but the older versions do.

It is freetype-2.5.5-1 (see the dso_list attachment).

Comment 15 Jan Kurik 2015-07-15 14:27:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 16 Fedora End Of Life 2016-11-24 11:31:45 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2016-12-20 13:19:52 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.